=== debian/changelog ===
swftools (0.9.2+git20130725-2) unstable; urgency=low

  * Removed build dependency on libt1-dev. (Closes: 732651)
  * Bump Standards Version to 3.9.5.
  * Added debian/gbp.conf.

 -- Christian Welzel <gawain@camlann.de>  Tue, 04 Mar 2014 09:00:00 +0100

swftools (0.9.2+git20130725-1) unstable; urgency=low

  * New version from upstream git: commit b6e946b
    (Closes: 715912, 715961, 716159, 716366).
  * Changed build depends from libjpeg8-dev to libjpeg-dev (Closes: 694700).
  * Bump Standards Version to 3.9.4.
  * Added Vcs-* header to control.
  * Added hardening build flags.
  * Added debug package.

 -- Christian Welzel <gawain@camlann.de>  Sun, 15 Sep 2013 20:42:54 +0200

swftools (0.9.2+ds1-3) unstable; urgency=low

  * Added fix for segfault on i386. (Closes: 690237)

 -- Christian Welzel <gawain@camlann.de>  Mon, 22 Oct 2012 12:42:54 +0100
