=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: swftools
+Maintainer: Christian Welzel <gawain@camlann.de>
 Section: utils
 Priority: extra
-Maintainer: Christian Welzel <gawain@camlann.de>
 Build-Depends:
  automake,
  autotools-dev,
@@ -10,12 +10,13 @@
  libfontconfig1-dev,
  libfreetype6-dev,
  libgif-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  libmp3lame-dev,
- libt1-dev,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.swftools.org/
+Vcs-Git: git://github.com/sir-gawain/debian-swftools.git
+Vcs-Browser: https://github.com/sir-gawain/debian-swftools
 
 Package: swftools
 Architecture: any
@@ -46,3 +47,35 @@
   * wav2swf converts WAV files into SWF.
  .
  This package does not include pdf2swf and avi2swf.
+
+Package: swftools-dbg
+Architecture: any
+Section: debug
+Depends: swftools (= ${binary:Version}), ${misc:Depends}
+Description: Collection of utilities for SWF file manipulation/creation (debug)
+ SWF Tools is a collection of SWF (Flash) manipulation and creation utilities.
+ .
+ This package includes: as3compile, font2swf, gif2swf, jpeg2swf, png2swf,
+ swfcombine, swfextract, swfdump, swfrender, swfstrings, swfbbox, swfc and
+ wav2swf.
+ .
+  * as3compile is a standalone ActionScript 3.0 compiler. Mostly compatible
+    with Flex.
+  * font2swf converts font files (TTF, Type1) into SWF.
+  * gif2swf converts GIFs into SWF. It is also able to handle animated gifs.
+  * jpeg2swf takes one or more JPEG pictures and generates an SWF slideshow.
+  * png2swf takes one or more PNG pictures and generates an SWF slideshow.
+  * swfcombine is a tool for inserting SWFs into Wrapper SWFs. (Templates)
+    E.g. for including the pdf2swf SWFs into some sort of Browsing-SWF.
+  * swfextract allows one to extract Movieclips, Sounds, Images etc. from SWF
+    files.
+  * swfdump prints out various information about SWFs.
+  * swfrender converts a swf to an image.
+  * swfstrings scans SWFs for text data.
+  * swfbbox allows one to readjust SWF bounding boxes.
+  * swfc is a tool for creating SWF files from simple script files.
+  * wav2swf converts WAV files into SWF.
+ .
+ This package does not include pdf2swf and avi2swf.
+ .
+ This package contains the debugging symbols for swftools.
