=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # --enable-warnings sets CFLAGS to
 # "-Wall -Wno-unused -Wno-format -Wno-redundant-decls"
@@ -46,7 +51,8 @@
 #	mv configure configure.dist
 	aclocal -I m4
 	autoconf
-	LDFLAGS="-Wl,-z,defs" ./configure --enable-debug --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-poppler $(CFGFLAGS)
+#	LDFLAGS+="-Wl,-z,defs"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-poppler $(shell dpkg-buildflags --export=configure) 
 
 #override_dh_auto_build:
 #	# Add libart stuff into the Makefile.common
@@ -75,6 +81,9 @@
 	sed -i s/"\(#include \"\.\)\.\(\/config\.h\"\)"/"\1\2"/ debian/tmp/usr/include/rfxswf/rfxswf.h
 #	cp -r lib/python/usr debian/tmp/
 
+override_dh_strip:
+	dh_strip --dbg-package=swftools-dbg
+
 get-orig-source:
 	uscan --no-conf --force-download --rename --download-current-version --destdir=.
 	mkdir -p _unpack
@@ -84,3 +93,32 @@
 	rm -rf _unpack/$(ORIGDIR)/avi2swf
 	tar -czf $(DEBTAR) -C _unpack $(ORIGDIR)
 	rm -rf _unpack
+
+get-git-orig-source: git-checkout
+	$(eval GIT_VERSION := $(shell cd git-tmp && git rev-parse --short HEAD))
+	$(eval GIT_DATE := $(shell cd git-tmp && git show -s --format="%ci" $(GIT_VERSION) | cut -d " " -f 1 | sed -e 's/-//g'))
+	sed -e 's/VERSION=0\.9\.2/VERSION=0\.9\.2\+git$(GIT_DATE)/g' git-tmp/configure.in > git-tmp/configure.in.2
+	mv git-tmp/configure.in.2 git-tmp/configure.in
+	grep -v xpdf git-tmp/release.in > git-tmp/release.in.2
+	sed -e 's/\/lib\/pdf\/aconf\.h \\/\/lib\/pdf\/aconf\.h"/g' git-tmp/release.in.2 > git-tmp/release.in
+	cd git-tmp && aclocal -I m4
+	cd git-tmp && autoconf
+	cd git-tmp && configure
+	cd git-tmp && chmod u+x release
+	cd git-tmp && release
+	mv git-tmp/swftools-0.9.2+git$(GIT_DATE).tar.gz .
+	rm -rf git-tmp
+	mkdir -p _unpack
+	tar -xzf swftools-0.9.2+git$(GIT_DATE).tar.gz -C _unpack
+	find _unpack  -maxdepth 1 -name "swftools*" -type d -exec mv \{} _unpack/swftools_0.9.2+git$(GIT_DATE).orig \;
+	rm -rf _unpack/swftools_0.9.2+git$(GIT_DATE).orig/lib/pdf/xpdf
+	rm -rf _unpack/swftools_0.9.2+git$(GIT_DATE).orig/avi2swf
+	tar -czf swftools_0.9.2+git$(GIT_DATE).orig.tar.gz -C _unpack swftools_0.9.2+git$(GIT_DATE).orig
+	rm -rf _unpack
+	@echo "Git-Version: " $(GIT_VERSION)
+
+git-checkout:
+	mkdir -p git-tmp
+	git clone git://git.swftools.org/swftools git-tmp
+
+.PHONY: git-checkout
